<?php
/*******************************************************************************/
//                          InstantCMS v1.8                                    //
//                      http://www.instantcms.ru/                              //
//                         component "Poster"                                  //
//                       written by Marat Fatikhov                             //
//                      (nickname Марат on a site)                             //
//                       E-mail: f-marat@mail.ru                               //
//                                                                             //
//                      LICENSED BY GNU/GPL v2                                 //
//                                                                             //
/********************************************************************************/

header('Content-Type: text/html; charset=windows-UTF-8');
header('Cache-Control: no-cache');

session_start();

define("VALID_CMS", 1);
define('PATH', $_SERVER['DOCUMENT_ROOT']);

include(PATH.'/core/cms.php');

$inCore = cmsCore::getInstance();

$inCore->loadClass('db');
$inCore->loadClass('user');
$inCore->loadClass('config');
cmsCore::loadLanguage('lang');
cmsCore::loadLanguage('components/poster');
$cfg = $inCore->loadComponentConfig('poster');

$inDB   = cmsDatabase::getInstance();
$inUser = cmsUser::getInstance();

$inUser->update();

$inCore->loadModel('poster');
$model = new cms_model_poster();
$inCore->includeFile('components/poster/includes/postercore.php');

//проверяем входные параметры
$get_date = $inCore->request('get_date', 'str' , '');
$item_id = $inCore->request('item_id', 'int', 0);
$type = $inCore->request('type', 'str' , '');
$period = $inCore->request('period', 'str' , '');
if(!$get_date || !$item_id || !$type){ return false; }
if($type != 'event' && $type != 'objekt'){ return false; }

$item = array();
$item = $model->getItemShort($item_id, $type, $inUser->is_admin);

//берем привязки
    $binds = array();
    $binds = $model->getBinds($item_id, $type, date('Y-m-d'));
    $is_date = array();
    $last_time = array();
    $max_day = date('d-m-Y');
    $witch_days = array(); //дни, когда есть события
    foreach($binds as $key=>&$bind){
        if(strtotime($bind['end_date']) > strtotime($max_day)){
          $max_day = $bind['end_date'];
        }
        $bind['time_list'] = $inCore->yamlToArray($bind['time_list']);
        //дни с событиями для отмеченной галочки "Одинаковые сеансы"
        if($bind['all_days']){
            $in_days = makeCal(date('d-m-Y', strtotime($bind['start_date'])), date('d-m-Y', strtotime($bind['end_date'])));
            //приводим time_list к виду как при снятой галочке  "Одинаковые сеансы"
            foreach($in_days as $k=>$in_day){
                 $bind['time_list']["$in_day"] =  $bind['time_list']["{$bind['start_date']}"];
            }
        }
        //обрабатываем тайм-лист
        foreach($bind['time_list'] as $day=>$sessions){
               $witch_days[] = $day;

               if($day == $get_date){
                   $is_date["$key"]["{$day}"] = true;
                   foreach($sessions as $n=>$session){
                       $start_time = $get_date.'-'.$session['start_h'].'-'.$session['start_m'];
                       if( strtotime($start_time) < strtotime(date('d-m-Y-H-i'))){
                           $last_time["$key"]["{$day}"]["{$n}"] = true;
                       }
                   }
               }

        }
    }
    //готовим ajax-пагинацию по дням для расписания
    $days = array();
    $days = makeCal(date('d-m-Y'), $max_day);
    setlocale(LC_ALL, 'ru_RU.UTF-8');
    $format_days = array();
    $not_period = false; //флаг показывающий, что в расписании не все дни

    foreach($days as $key=>$day){
         //если дня нет в массиве дней с событиями, пропускаем
         if(!in_array($day, $witch_days)){ continue; }
         //если выходим за пределы показа с конфига категории, выходим
         if(!empty($period) && (strtotime($day) > strtotime("+ 1 {$period}"))){
            $not_period = true; continue;
         }
         $format_day = strftime('%d %B, %a', strtotime($day));
         $format_day = getRusDate($format_day);
         
         //сегодня- завтра
         if($day == date('d-m-Y')){
           $format_day = $_LANG['TODAY'];
         }
         if($day == date('d-m-Y', strtotime('+1 day'))){
           $format_day = $_LANG['TOMORROW'];
         }
         $format_days["{$day}"] = $format_day;
    }
    
    $item['cat_config'] = $inCore->yamlToArray($item['cat_config']);
    $is_ajax = true;
    
    $smarty = $inCore->initSmarty('components', 'com_poster_schedule.tpl');
    $smarty->assign('binds', $binds);
    $smarty->assign('item', $item);
    $smarty->assign('type', $type);
    $smarty->assign('LANG', $_LANG);
    $smarty->assign('is_date', $is_date);
    $smarty->assign('last_time', $last_time);
    $smarty->assign('format_days', $format_days);
    $smarty->assign('date', $get_date);
    $smarty->assign('path', PATH);
    $smarty->assign('cfg', $cfg);
    $smarty->assign('period', $period);
    $smarty->assign('not_period', $not_period);
    $smarty->assign('is_ajax', $is_ajax);
    $smarty->assign('is_user', $inUser->id);
    $smarty->display('com_poster_schedule.tpl');

?>
