<?php
/*******************************************************************************/
//                          InstantCMS v1.8                                    //
//                      http://www.instantcms.ru/                              //
//                         component "Poster"                                  //
//                       written by Marat Fatikhov                             //
//                      (nickname Марат on a site)                             //
//                       E-mail: f-marat@mail.ru                               //
//                                                                             //
//                      LICENSED BY GNU/GPL v2                                 //
//                                                                             //
/********************************************************************************/
sleep(2);

//header('Content-Type: text/html; charset=UTF-8');
header('Cache-Control: no-cache');
session_start();

define("VALID_CMS", 1);
define('PATH', $_SERVER['DOCUMENT_ROOT']);

include(PATH.'/core/cms.php');

$inCore = cmsCore::getInstance();

$inCore->loadClass('db');
$inCore->loadClass('user');

$inDB   = cmsDatabase::getInstance();
$inUser = cmsUser::getInstance();

$inUser->update();

if (!$inUser->id) { die('Access denied'); }
$user_id = $inUser->id;

$inCore->loadModel('poster');
$model = new cms_model_poster();
$inCore->includeFile('components/poster/includes/postercore.php');

//проверяем входные параметры
$bind_id = $inCore->request('bind_id', 'int', 0);
$date = $inCore->request('sub_date', 'str','');
$sub_submit = $inCore->request('sub_submit', 'int', 0);

if(!$bind_id){ return false; }
//берем с БД привязку
$bind = array();
$bind = $inDB->get_fields('cms_poster_bind', "id = {$bind_id}", 'id, start_date, end_date, subscribes');

if(!$sub_submit){
  //если сеансы уже начались, то формируем список дней начиная с сегодняшнего дня
   if(strtotime($bind['start_date']) < time()){
       $start_date = date('d-m-Y', strtotime('+ 1 day'));
   }else{
       $start_date = date('d-m-Y', strtotime($bind['start_date']));
   }
   if(strtotime($bind['end_date']) < time()){
        echo 'Извините, в будущие дни сеансов нет. Уведомлять не о чем.';
        return;
   }
   $end_date = date('d-m-Y', strtotime($bind['end_date']));
   $days = array();
   $days = makeCal($start_date, $end_date);
   //форма выбора дня
   ob_start();
   ?>
<form id="sub_form">
   <table>
     <tr>
        <td>
           <p>Выберите день, когда Вам отправить уведомление:</p>
        </td>
     </tr>
     <tr>
        <td>
          <select id="sub_date" name="sub_date">
          <?php
             foreach($days as $day){
               echo '<option value='.$day.'>'.$day;
             }
          ?>
          </select>
        </td>
     </tr>
     <tr>
        <td>
           <input name="sub_submit" type="hidden" value="1">
           <input name="bind_id" type="hidden" value="<?php echo $bind['id']; ?>">
           <input type="submit" value="Выбрать">
        </td>
     </tr>
   </table>
</form>
<script type="text/javascript">
$(function(){
$('#sub_form').submit(function(e){
//отменяем стандартное действие при отправке формы
e.preventDefault();
var m_data=$(this).serialize();
$.ajax({
method: 'post',
url: '/components/poster/ajax/subscribes.php',
data: m_data,
success: subSuccess});
$('#subscribe_img'+<?php echo $bind['id']; ?>).show();
function subSuccess(result){
$('#subscribe'+<?php echo $bind['id']; ?>).html(result);
$('#subscribe_img'+<?php echo $bind['id']; ?>).hide();
}
});
});
</script>
<?php
$html = ob_get_clean();
echo $html;
}else{
   //проверяем корректность даты
   if(!strtotime($date)){
       echo 'Некорректная дата';
        return;
   }
   //проверяем выбранный день, входит ли в период с сегодняшнего дня до конца сеансов
   if(time() < strtotime($date) && strtotime($date) < strtotime($end_date)){
       echo 'Извините, в будущие дни сеансов нет. Уведомлять не о чем.';
        return;
   }
   $subscribes = array();
   $subscribes = unserialize($bind['subscribes']);
   if(!empty($subscribes)){
      foreach($subscribes[$user_id] as $key=>$value){
           //проверяем есть ли уже для пользователя дата уведомления
           if($date == $value){
                echo 'Вы уже подписаны на уведомление в указанную дату';
                return;
           }
      }
   }
   //заносим дату в массив и обновляем запись в БД
   $subscribes[$user_id][] = $date;
   $ser_sub = serialize($subscribes);
   
   $sql="UPDATE `cms_poster_bind`
         SET subscribes = '{$ser_sub}'
         WHERE id = $bind_id";
         
    $inDB->query($sql);
    
    echo 'Вы получите уведомление о сеансе '.$date;

}
?>
