<?php

// ========================================================================== //

    function info_component_poster(){

        //Описание компонента

        $_component['title']        = 'ИнстантАфиша';                        //название
        $_component['description']  = 'Афиша мероприятий вашего города.';    //описание
        $_component['link']         = 'poster';                               //ссылка (идентификатор)
        $_component['author']       = 'Marat Fatikhov';                        //автор
        $_component['internal']     = '0';                                  //внутренний (только для админки)? 1-Да, 0-Нет
        $_component['version']      = '1.1.0';                                //текущая версия

        //Настройки по-умолчанию

        $_component['config'] = array(
            //'main_cat'=>1,
            'main_orderby'=>'ordering',
            'main_orderto'=>'asc',
            'img_small_w'=>100,
            'img_big_w'=>300,
            'img_sqr'=>1,
            'rss_all'=>1,
            'rss_one'=>1,
            'menu_up'=>1,
            'menu_left'=>1,
            'show_end'=>1,
            'title'=>'',
            'one_city'=>0,
            'main_city'=>'',
            'thanks'=>1,
            'perpage'=>10,
            'subscribe'=>0,
            'subs_limit'=>20,
            'subs_mail'=>1,
            'prefixes'=>array(
                 'улица' => 'ул.',
                 'переулок' => 'пер.',
                 'проспект' => 'пр-кт',
                 'проезд' => 'пр-д',
                 'шоссе' => 'шоссе',
                 'аллея' => 'аллея',
                 'площадь' => 'пл.',
                 'бульвар' => 'бульвар',
                 'набережная' => 'наб.'
            )
        );
        //модули
        $_component['modules'] = array(
           'mod_poster_newevents'=>'Новые мероприятия на Афише',
           'mod_poster_calendar'=>'Календарь мероприятий'
        );

        return $_component;

    }

// ========================================================================== //

    function install_component_poster(){

        $inCore     = cmsCore::getInstance();       //подключаем ядро
        $inDB       = cmsDatabase::getInstance();   //подключаем базу данных
        $inConf     = cmsConfig::getInstance();

        include($_SERVER['DOCUMENT_ROOT'].'/includes/dbimport.inc.php');

        dbRunSQL($_SERVER['DOCUMENT_ROOT'].'/components/poster/install.sql', $inConf->db_prefix);

        // если целей для комментов и рейтинга нет, создаем их
        $is_target = $inDB->get_field('cms_comment_targets', "target = 'event'", 'id');
        if(!$is_target){
            $inCore->registerCommentsTarget('event', 'poster', 'Мероприятия');
        }
        $is_target_1 = $inDB->get_field('cms_comment_targets', "target = 'objekt'", 'id');
        if(!$is_target_1){
            $inCore->registerCommentsTarget('objekt', 'poster', 'Заведения');
        }

        return true;

    }
    
    // ========================================================================== //

    function upgrade_component_poster(){

        $inCore     = cmsCore::getInstance();
        $inDB       = cmsDatabase::getInstance();
        $inConf     = cmsConfig::getInstance();

        $inDB->query('ALTER TABLE `cms_poster_bind` ADD `subscribes` TEXT NOT NULL');
        $inDB->query('ALTER TABLE `cms_poster_bind` ADD INDEX `date` (`start_date` , `end_date`)');
        $inDB->query("INSERT INTO `cms_cron_jobs` (`job_name`, `job_interval`, `component`, `model_method`, `custom_file`, `is_enabled`, `is_new`, `comment`, `class_name`, `class_method`)
                      VALUES ('sendPosterNotices', 0, 'poster', 'sendNotices', '', 0, 0, 'Отправляет подписанным пользователям уведомления о сеансах ИнстантАфиши.', '', '')");

        return true;

    }

// ========================================================================== //

?>
