DROP TABLE IF EXISTS `#__poster_bind`;
CREATE TABLE `#__poster_bind` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `event_id` int(11) NOT NULL,
  `objekt_id` int(11) NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL,
  `time_list` text NOT NULL,
  `all_days` int(3) NOT NULL,
  `subscribes` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `event_id` (`event_id`),
  KEY `objekt_id` (`objekt_id`),
  KEY `date` (`start_date` , `end_date`)
) ENGINE=MyISAM DEFAULT CHARSET=UTF-8;

DROP TABLE IF EXISTS `#__poster_eventcats`;
CREATE TABLE `#__poster_eventcats` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(250) NOT NULL,
  `description` text NOT NULL,
  `access_list` tinytext NOT NULL,
  `editors` tinytext NOT NULL,
  `seolink` varchar(255) NOT NULL,
  `ordering` int(11) NOT NULL,
  `published` int(11) NOT NULL default '1',
  `cat_config` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `title` (`title`),
  KEY `seolink` (`seolink`)
) ENGINE=MyISAM DEFAULT CHARSET=UTF-8;

INSERT INTO `#__poster_eventcats` (`id`, `title`, `description`, `access_list`, `editors`, `seolink`, `ordering`, `published`, `cat_config`) VALUES
(1, 'Кинофильмы', '', '', '', 'kinofilmy', 1, 1, ''),
(2, 'Выставки и мероприятия', '', '', '', 'vystavki-i-meroprijatija', 2, 1, ''),
(3, 'Дискотеки', '', '', '', 'diskoteki', 3, 1, ''),
(4, 'Спектакли, концерты', '', '', '', 'spektakli-koncerty', 4, 1, '');

DROP TABLE IF EXISTS `#__poster_events`;
CREATE TABLE `#__poster_events` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cat_id` int(11) NOT NULL,
  `author_id` int(11) NOT NULL,
  `title` varchar(250) NOT NULL,
  `pubdate` datetime NOT NULL,
  `video_code` text NOT NULL,
  `shortdesc` text NOT NULL,
  `description` text NOT NULL,
  `seolink` varchar(255) NOT NULL,
  `basic_photo` varchar(250) NOT NULL,
  `rating` float NOT NULL,
  `rating_votes` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  `published` int(11) NOT NULL default '1',
  `who_goes` varchar(250) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `cat_id` (`cat_id`),
  KEY `seolink` (`seolink`),
  FULLTEXT KEY `description` (`description`),
  FULLTEXT KEY `shortdesc` (`shortdesc`),
  FULLTEXT KEY `title` (`title`)
) ENGINE=MyISAM DEFAULT CHARSET=UTF-8;

DROP TABLE IF EXISTS `#__poster_objcats`;
CREATE TABLE `#__poster_objcats` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(250) NOT NULL,
  `description` text NOT NULL,
  `access_list` tinytext NOT NULL,
  `editors` tinytext NOT NULL,
  `seolink` varchar(255) NOT NULL,
  `ordering` int(11) NOT NULL,
  `published` int(11) NOT NULL default '1',
  `cat_config` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `title` (`title`),
  KEY `seolink` (`seolink`)
) ENGINE=MyISAM DEFAULT CHARSET=UTF-8;

INSERT INTO `#__poster_objcats` (`id`, `title`, `description`, `access_list`, `editors`, `seolink`, `ordering`, `published`, `cat_config`) VALUES
(1, 'Кинотеатры', '', '', '', 'kinoteatry', 1, 1, ''),
(2, 'Выставочные центры', '', '', '', 'vystavochnye-centry', 2, 1, ''),
(3, 'Ночные клубы', '', '', '', 'nochnye-kluby', 3, 1, ''),
(4, 'Театры и ДК', '', '', '', 'teatry-i-dk', 4, 1, ''),
(5, 'Развлекательные центры', '', '', '', 'razvlekatelnye-centry', 5, 1, '');

DROP TABLE IF EXISTS `#__poster_objekts`;
CREATE TABLE `#__poster_objekts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cat_id` int(11) NOT NULL,
  `owner_id` int(11) NOT NULL,
  `title` varchar(250) NOT NULL,
  `addr_city` varchar(50) NOT NULL,
  `addr_prefix` varchar(20) NOT NULL,
  `addr_street` varchar(100) NOT NULL,
  `addr_house` varchar(10) NOT NULL,
  `phone` varchar(255) NOT NULL,
  `website` varchar(255) NOT NULL,
  `shortdesc` text NOT NULL,
  `description` text NOT NULL,
  `seolink` varchar(255) NOT NULL,
  `basic_photo` varchar(250) NOT NULL,
  `rating` float NOT NULL,
  `rating_votes` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  `published` int(11) NOT NULL default '1',
  `inmaps_id` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `cat_id` (`cat_id`),
  KEY `seolink` (`seolink`),
  FULLTEXT KEY `description` (`description`),
  FULLTEXT KEY `shortdesc` (`shortdesc`),
  FULLTEXT KEY `title` (`title`)
) ENGINE=MyISAM DEFAULT CHARSET=UTF-8;

INSERT INTO `#__modules` (`position`, `name`, `title`, `is_external`, `content`, `ordering`, `showtitle`, `published`, `user`, `config`, `original`, `css_prefix`, `cache`, `cachetime`, `cacheint`, `template`)
VALUES ('mainbottom', 'ИнстантАфиша. Новые мероприятия', 'Новые мероприятия на Афише', 1, 'mod_poster_newevents', 1, 1, 0, 0, '', '1', '', '0', '1', 'HOUR', 'module.tpl')

INSERT INTO `#__modules` (`position`, `name`, `title`, `is_external`, `content`, `ordering`, `showtitle`, `published`, `user`, `config`, `original`, `css_prefix`, `cache`, `cachetime`, `cacheint`, `template`)
VALUES ('sidebar', 'ИнстантАфиша. Календарь', 'Календарь мероприятий', 1, 'mod_poster_calendar', 1, 1, 0, 0, '', '1', '', '0', '1', 'HOUR', 'module.tpl')

INSERT INTO `#__cron_jobs` (`job_name`, `job_interval`, `component`, `model_method`, `custom_file`, `is_enabled`, `is_new`, `comment`, `class_name`, `class_method`)
VALUES ('sendPosterNotices', 0, 'poster', 'sendNotices', '', 0, 0, 'Отправляет подписанным пользователям уведомления о сеансах ИнстантАфиши.', '', '')
