<?php
/*******************************************************************************/
//                          InstantCMS v1.8                                    //
//                      http://www.instantcms.ru/                              //
//                component "Poster", module "New events"                      //
//                       written by Marat Fatikhov                             //
//                      (nickname Марат on a site)                             //
//                       E-mail: f-marat@mail.ru                               //
//                                                                             //
//                      LICENSED BY GNU/GPL v2                                 //
//                                                                             //
/********************************************************************************/

function mod_poster_newevents($module_id){
   $inCore = cmsCore::getInstance();
   $inDB   = cmsDatabase::getInstance();
   $inUser = cmsUser::getInstance();

   cmsCore::loadLanguage('components/poster');
   global $_LANG;
  //Загрузка настроек афиши
	$com_cfg = $inCore->loadComponentConfig('poster');
  //конфиг модуля
  $cfg = $inCore->loadModuleConfig($module_id);
  if (!isset($cfg['shownum'])) { $cfg['shownum'] = 1;}
	
	// Проверяем включен ли компонент
	if(!$com_cfg['component_enabled']) { return false; }
	
	$inCore->includeFile('components/poster/includes/postercore.php');

   //Устанавливаем разделы, куда есть доступ
   $access_lists = array();
   $access_lists = $inDB->get_table("`cms_poster_eventcats`", '', 'id, access_list');

   if(!$access_lists){ return false; }
   $cats = array();
   foreach($access_lists as $key=>$value){
   if($inCore->checkContentAccess($value['access_list'])){
      $cats[] = $value['id'];
   }
  }
  if(!$cats){ return false; }
  $cats_str = implode(',', $cats);
  $where = "e.cat_id IN ({$cats_str})";
   
  $sql = "SELECT e.id, e.title, e.seolink, e.basic_photo, e.pubdate, ec.seolink as event_cat_seolink, ec.title as cat_title, ec.cat_config,
                         b.id as bind_id, b.objekt_id, o.title as objekt_title, o.seolink as objekt_seolink,
                         oc.seolink as objekt_cat_seolink
                  FROM `cms_poster_events` e
                  LEFT JOIN `cms_poster_bind` b ON b.event_id=e.id
                  LEFT JOIN `cms_poster_eventcats` ec ON ec.id=e.cat_id
                  LEFT JOIN `cms_poster_objekts` o ON o.id=b.objekt_id
                  LEFT JOIN `cms_poster_objcats` oc ON oc.id=o.cat_id
                  WHERE {$where} AND e.published=1
                  ORDER BY e.pubdate DESC
                  LIMIT {$cfg['shownum']}";

   $result = $inDB->query($sql) ;
   if(!$inDB->num_rows($result)){return false;}
   $mash = array();
   while($row = $inDB->fetch_assoc($result)){
       $mash[] = $row;
   }
   $events = array();
   $check = array();
   foreach($mash as $key=>$value){
     $half = array();
     if(($unic_key = array_search($value['id'], $check, true)) !== false){
        $half = array_chunk($value, 8, true);
        $events["{$unic_key}"]['binds'][]= $half[1];
     }else{
        $half = array_chunk($value, 8, true);
        $events["{$key}"] = $half[0];
        $events["{$key}"]['binds'][] = $half[1];
        $check["{$key}"] = $value['id'];
     }
   }

   //считаем общее количество привязок для мероприятия
   //теги
    $inCore->loadLib("tags");
   foreach($events as $key=>&$event){
      $event['count'] = count($event['binds'])-1;
      $event['comments_count'] = $inCore->getCommentsCount('event', $event['id']);
      $event['tag_bar'] = cmsTagBar('posterevent', $event['id']);
      $event['cat_config']= $inCore->yamlToArray($event['cat_config']);
      $event['pubdate'] = $inCore->dateFormat($event['pubdate']);
   }
   //рейтинг
   $rate_options = getRateOptions();

   //передаем в шаблон
    $smarty = $inCore->initSmarty('modules', 'mod_poster_newevents.tpl');
    $smarty->assign('events', $events);
    $smarty->assign('LANG', $_LANG);
    $smarty->assign('com_cfg', $com_cfg);
    $smarty->assign('rate_options', $rate_options);
    $smarty->display('mod_poster_newevents.tpl');

   return true;
}//module
?>
